{--------------------------------------------------------------------}
{ RndText V 1.1                                                      }
{ Written by Martin Waldenburg 1997.                                 }
{ Placed to the Public Domain.                                       }
{ Not testet with Delphi1.                                           }
{ It's provided as is, without a warranty of any kind.               }
{ You use it at your own risc.                                       }
{ You may use and distribute it freely.                              }
{--------------------------------------------------------------------}

unit RndUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    btnStart: TButton;
    btnExit: TButton;
    edtNumberOfItems: TEdit;
    SaveDialog1: TSaveDialog;
    edtLineLenght: TEdit;
    lblNumberOf: TLabel;
    lblLenght: TLabel;
    procedure btnStartClick(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
  private
    function Zufall:String;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function TForm1.Zufall:String;
var
  J: integer;
  S    : String[1];
  AString: String;
begin
  AString:= ('');
  for J := 1 to StrToInt(edtLineLenght.Text) do
    begin
      repeat
      S := Chr(random(58) + Ord('A'));
      until (s <= 'Z') or (s >= 'a');
      AString := AString + S;
    end;
    Result:= AString
end;


procedure TForm1.btnStartClick(Sender: TObject);
var
  step : integer;
  ToFile: TextFile;
  MaxElems: Integer;
begin
  If SaveDialog1.Execute then
  begin
    AssignFile(ToFile, SaveDialog1.FileName);
    ReWrite(ToFile);
  end;
  MaxElems:= StrToInt(edtNumberOfItems.Text);
  Randomize;
  for step := 1 to MaxElems do
  begin
      Writeln(ToFile, zufall);
   end;
  CloseFile(ToFile);
end;

procedure TForm1.btnExitClick(Sender: TObject);
begin
  close;
end;

end.
