unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, mwSMSort, mwFastTime;

type
  TForm1 = class(TForm)
    Start: TButton;
    Exit: TButton;
    OpenDialog1: TOpenDialog;
    Time1: TmwFastTime;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure ExitClick(Sender: TObject);
    procedure StartClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ExitClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.StartClick(Sender: TObject);
var
    Sorter: TmwSMSort;
begin
  Sorter:= TmwSMSort.Create;
  if OpenDialog1.Execute then
  Time1.Start;
  Sorter.LoadFromFile(OpenDialog1.FileName);
  Time1.Stop;
  Edit1.Text:= Time1.ElapsedTime;
  Time1.Start;
  Sorter.Sort;
  Time1.Stop;
  Edit2.Text:= Time1.ElapsedTime;
  Time1.Start;
  Sorter.SaveToFile('Output.txt');
  Time1.Stop;
  Edit3.Text:= Time1.ElapsedTime;
end;

end.
